#***************************************************************************
#*   Copyright (c) 2002 Jürgen Riegel <juergen.riegel@web.de>              *
#*                                                                         *
#*   This file is part of the FreeCAD CAx development system.              *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU Lesser General Public License (LGPL)    *
#*   as published by the Free Software Foundation; either version 2 of     *
#*   the License, or (at your option) any later version.                   *
#*   for detail see the LICENCE text file.                                 *
#*                                                                         *
#*   FreeCAD is distributed in the hope that it will be useful,            *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU Lesser General Public License for more details.                   *
#*                                                                         *
#*   You should have received a copy of the GNU Library General Public     *
#*   License along with FreeCAD; if not, write to the Free Software        *
#*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  *
#*   USA                                                                   *
#*                                                                         *
#***************************************************************************/

# FreeCAD test module
#
# Testing the function of the base system and run
# (if existing) the test function of the modules



Log ("FreeCAD test running...\n\n")

import sys

import FreeCAD
import TestApp

testCase = FreeCAD.ConfigGet("TestCase")

testResult = TestApp.TestText(testCase)

Log ("FreeCAD test done\n")

sys.exit(0 if testResult.wasSuccessful() else 1)
